<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 05/22/2013 *
 * ===================                          Last change: 05/22/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : html_mail_filter.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Filters for ext-html_mail                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Filter fuer ext-html_mail                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Filter for checking HTML mail in ext-order
function FILTER_CHECK_HTML_MAIL_ORDER ($filterData) {
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Called!');

	// HTML or regular text mail?
	if ($filterData['html'] == 'Y') {
		// Chek for valid HTML tags
		$checked = checkHtmlTags($filterData['text']);

		// Maybe invalid tags found?
		if (empty($checked)) {
			// Invalid HTML tags found
			$filterData['redirect'] = 'modules.php?module=login&amp;what=order&amp;code=' . getCode('INVALID_TAGS') . '&amp;id=' . $filterData['id'];
		} // END - if
	} else {
		// Remove any HTML code
		$filterData['text'] = str_replace(array('<', '>'), array('{OPEN_HTML}', '{CLOSE_HTML}'), $filterData['text']);
	}

	// Return the data for next filter
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Done!');
	return $filterData;
}

// Prepares an SQL statement part for HTML mail
function FILTER_HTML_INCLUDE_USERS ($mode) {
	// Exclude no users by default
	$MORE = '';

	// HTML mail?
	if ($mode == 'html') {
		$MORE = " AND `html`='Y'";
	} // END - if

	// Return result
	return $MORE;
}

// [EOF]
?>
