<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/30/2005 *
 * ===================                          Last change: 04/30/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : country_functions.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Functions for the guest's newsletter             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer den Newsletter an die Gaeste     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Generate a human-readable country description with code
function generateCountryInfo ($id) {
	// Not found is the default
	$ret = '{--COUNTRY_CODE_404--}';

	// Load code and description
	$result = sqlQueryEscaped("SELECT
	`code`,
	`descr`
FROM
	`{?_MYSQL_PREFIX?}_countries`
WHERE
	`id`=%s
LIMIT 1",
		array(bigintval($id)), __FUNCTION__, __LINE__);

	// Is there an entry?
	if (sqlNumRows($result) == 1) {
		// Load entry
		$content = sqlFetchArray($result);
		//* DEBUG: */ print($id.'=<pre>'.print_r($content, TRUE).'</pre>');

		// Construct human-readable description
		$ret = sprintf('%s (%s)', $content['descr'], $content['code']);
	} // END - if

	// Free the result
	sqlFreeResult($result);

	// Return info
	return $ret;
}

// Adds a country code selection box
function addCountryCodeSelectionBox ($countryCode = NULL) {
	// The admin may see all
	$whereStatement = "WHERE `is_active`='Y'";

	// Is admin?
	if (isAdmin()) {
		// Then display all codes
		$whereStatement = '';
	} // END - if

	// Generate the HTML code
	$OUT  = '<select name="country_code" class="form_select" size="1">';
	$OUT .= generateOptions('countries', 'id', 'descr', $countryCode, 'code', $whereStatement);
	$OUT .= '</select>';

	// Return it
	return $OUT;
}

// [EOF]
?>
